# BigQuant连接工具

*   本插件用于通过vscode远程连接BigQuant的aistudio工作区
*   作者：BigQuant
*   更新时间：2025年7月15日
*   版本号：0.0.1
*   支持的vscode版本号 >= 1.80.0
*   使用前需要先去BigQuant官网升级为旗舰版用户([点击前往升级](https://bigquant.com/spro))
*   初次使用，若弹出选择远程编程环境的提示，请在弹出的窗口选择'Linux'

## 使用步骤

*   安装此插件后，左侧任务栏会出现BigQuant的图标，点击即可打开登录页
*   输入用户名和密码，点击登录，即可进入连接页面
*   点击“连接到AI Studio”，即可开始连接，初次连接会自动执行一系列生成SSH密钥、创建config配置文件、下载和安装socat、复制公钥到authorized_key以及上传公钥等操作，可能需要5~10秒的时间，请耐心等待，后续连接即可迅速连接
*   连接完成后，会自动在远程环境安装aistudio推荐的插件
*   点击“退出登录”即可退出登录

## 注意事项

*   如果无法登录，可能的情况有：
*   (1)某些配置文件或socat被意外删除，此时需要删除用户目录下的.ssh目录下的hasUsed.dat和hasDownloaded.dat，并删除用户目录下的socat目录，重新连接
*   (2)如果提示"过程中试图写入的管道不存在"，说明没有升级旗舰版，[点击前往升级](https://bigquant.com/spro)

## 环境

*   本插件会自动检测是否安装remote-ssh插件，因此无需手动安装remote-ssh
*   需要一个良好的网络环境，如果一直提示登录失败，请尝试使用代理

## 已知的bug

*   暂无